<?php
/**
 * Created by JetBrains PhpStorm.
 * User: Luis
 * Date: 16/12/13
 * Time: 20:55
 * To change this template use File | Settings | File Templates.
 */

use Fuel\Core\DB;
use Fuel\Core\Response;
use \Parser\View;
use Auth\Auth;

class Controller_Menupersonalizado_Index extends \Controller_App{

    //Variable para guardar las migas de pan que van a aparecer en las vistas
    private $_bc = array();

    //Array con los elementos del menu que se deben marcar con la clase "active" para que esten seleccionados en el menu.
    private $_option_menu=array('Menú Personalizado');

    public function before(){

//        //Se cargan funciones de javascript especificas de esta funcionalidad
//        Casset::js('dashboard/index.js');
//
//        //Se marca la navegación en forma de migas de pan. Cada miga de pan la forman dos variables:
//        //  ds  : String a mostrar
//        //  url : url del enlace en modo absoluto
//        $this->_bc[] = array('ds'=>'Inicio','url'=>'/dashboard');

        parent::before();
    }

    public function get_index(){

        $view = View::forge('menupersonalizado/index.twig');

        //Titulo de la vista
        $view->title = "Menú Personalizado";

        //Paso de las migas de pan a la vista
        $view->bc = $this->_bc;

        //Paso de las opciones de menu que deben aparecer seleccionadas
        $view->option_menu = $this->_option_menu;

        //Pasar la leyenda para la info funcionamiento de la página
        $view->leyenda = "Una vez estudiado tu perfil te proponemos este menú semanal que se ajusta a tus necesidades. Elije entre las dos opciones que te proponemos de primero y segundo. Puedes acceder a las recetas de los platos pulsando sobre la lupa. ";

        $view->menu = $this->ws_menu_get();

        $view->auto_filter(false);

        return Response::forge($view);
    }

}